%global fontname archivo-black
%global fontconf 64-%{fontname}.conf

# sha256sum b2ac07977b5483da0f49cec1a672e87b2d8e2011ca4fcf85137d1093be5517fe

Name:           omnibus-type-archivo-black-fonts
Version:        1.0004
Release:        1%{?dist}
Summary:        Grotesque sans-serif typeface

License:        OFL
URL:            http://omnibus-type.com/fonts/archivo-black
Source0:        http://omnibus-type.com/download/ArchivoBlack-for-Print.zip#/%{fontname}-%{version}.zip
Source1:        %{name}-fontconfig.conf
Source2:        %{fontname}.metainfo.xml

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

%description
Archivo Black is a grotesque font from Omnibus-Type. It was originally designed
for highlights and headlines. This family is reminiscent of late nineteenth
century American typefaces.


%prep
%setup -q -n ArchivoBlack-for-Print

mv OFL.txt LICENSE
sed -i 's/\r$//' LICENSE

%build


%install
rm -fr %{buildroot}

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

# Add AppStream metadata
install -Dm 0644 -p %{SOURCE2} \
        %{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml


%clean
rm -fr %{buildroot}


%_font_pkg -f %{fontconf} *.ttf
%{_datadir}/appdata/%{fontname}.metainfo.xml
%license LICENSE


%changelog
* Sun Jan 15 2017 Dylan Smith <dyskette@gmail.com> - 1.0004-1
- First package
